Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
rubysig.h File Reference
`#include "ruby/ruby.h"`

Go to the source code of this file.

## Macros
#define | RUBYSIG_H
#define | RUBY_CRITICAL(statements) do {statements;} while (0)
#define | DEFER_INTS (0)
#define | ENABLE_INTS (1)
#define | ALLOW_INTS do {CHECK_INTS;} while (0)
#define | CHECK_INTS rb_thread_check_ints()

## Macro Definition Documentation

## ◆ ALLOW_INTS

#define ALLOW_INTS do {CHECK_INTS;} while (0)

Definition at line 35 of file rubysig.h.

## ◆ CHECK_INTS

#define CHECK_INTS rb_thread_check_ints()

Definition at line 36 of file rubysig.h.

## ◆ DEFER_INTS

#define DEFER_INTS (0)

Definition at line 33 of file rubysig.h.

## ◆ ENABLE_INTS

#define ENABLE_INTS (1)

Definition at line 34 of file rubysig.h.

## ◆ RUBY_CRITICAL

#define RUBY_CRITICAL | ( |  | statements | ) | do {statements;} while (0)

Definition at line 32 of file rubysig.h.

## ◆ RUBYSIG_H

#define RUBYSIG_H

Definition at line 20 of file rubysig.h.